=== debian/rules ===
#!/usr/bin/make -f

DESTDIR = debian/buildbot
DOCDIR = /usr/share/doc/buildbot
export VERSION = $(shell head -n1 debian/changelog | cut -d' ' -f2 | tr -d '()')

%:
	dh $@ --with python2

make_docs:
	$(MAKE) -C docs buildbot.info buildbot.html

override_dh_auto_build: make_docs
	dh_auto_build

override_dh_auto_clean:
	rm -fR buildbot.egg-info _trial_temp
	rm -f docs/buildbot.info* docs/buildbot.html
	dh_auto_clean

override_dh_auto_test:
ifneq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "Skipping check (disabled in DEB_BUILD_OPTIONS)."
else
	python setup.py test
endif

override_dh_installinit:
	mkdir -p ${DESTDIR}/etc/init.d ${DESTDIR}/etc/default
	cp contrib/init-scripts/buildmaster.init.sh ${DESTDIR}/etc/init.d/buildmaster
	cp contrib/init-scripts/buildmaster.default ${DESTDIR}/etc/default/buildmaster
	dh_installinit --name=buildmaster --onlyscripts

override_dh_installdocs:
	dh_installdocs
	# Copy necessary images to docs directory
	mkdir -p ${DESTDIR}${DOCDIR}/images
	cp docs/images/*.png ${DESTDIR}${DOCDIR}/images
