## buildbot 0.8.5

=== debian/changelog ===
buildbot (0.8.5-2) unstable; urgency=low

  * Remove buildmaster-use-MASTER_PREFIXCMD.patch as fixed upstream.
  * Cherry-pick deb-bug-647420.patch from upstream (Closes: #647420). Thanks
    to Brice Goglin.
  * Add Depends: python-sqlalchemy, phyton-migrate, python-twisted-web
    (Closes: #660389). Thanks to Tobias Frost.
  * postrm: 
    - do not remove system user on purge (Refs: #621833, closes: #656536)
    - do not remove user created data on purge

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Sun, 26 Feb 2012 01:09:33 +0200

buildbot (0.8.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS due to missing build-dependency on python-twisted-words":
    add python-twisted-words to Build-Depends (thanks to Ubuntu / Daniel T
    Chen for the bug report and the fix). (Closes: #648384)

 -- gregor herrmann <gregoa@debian.org>  Tue, 17 Jan 2012 17:53:00 +0100

buildbot (0.8.5-1) unstable; urgency=low

  * New upstream version.
  * Build-depend on python-sqlalchemy, python-migrate.
  * Disable building the docs (requires the sphinx bbdocs extenstion).

 -- Matthias Klose <doko@debian.org>  Sat, 22 Oct 2011 23:53:45 +0200

buildbot (0.8.4p1-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards-Version to 3.9.2.
  * Apply patch from Andreas Beckmann (References: #627918)

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Fri, 01 Jul 2011 14:16:30 +0300

buildbot (0.7.12-3) unstable; urgency=low

  * Make recommendations on python-twisted-mail and python-twisted-web
    dependencies.  Closes: #600268.
  * Use dh_python2 instead of python-central.
  * Set CSS stylesheet for for index.html (Andriy Senkovych). Closes: #576284.
  * Add homepage to debian/control. Closes: #587314.

 -- Matthias Klose <doko@debian.org>  Sun, 28 Nov 2010 18:01:56 +0100
