## buildbot 0.8.6p1

=== debian/changelog ===
buildbot (0.8.6p1-1) unstable; urgency=low

  * New upstream release (Closes: #669474).
  * Re-enable documentation building.
  * Use sphinx-generated documentation with dh_sphinxdoc.
  * Remove deb-bug-647420.patch (fixed upstream).
  * debian/control:
    - bump Standards-Version to 3.9.3
    - move Matthias Klose to Uploaders
    - move Andriy Senkovych to Maintainer
  * debian/rules: 
    - do not byte-compile *.py files in /usr/share/buildbot
    - remove additional files (docs/docs.tgz) in clean target
  * debian/copyright: 
    - correct syntax for common license (GPL-2)
    - update Format line to point to copyright-format 1.0

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Thu, 26 Apr 2012 00:02:36 +0300
