## buildbot 0.8.7p1

=== debian/changelog ===
buildbot (0.8.7p1-2) unstable; urgency=low

  * Rebuild to update dependency on pyhton-sqlmigrate (Closes: #715471).
  * Fix TextClient module path (Closes: #716650).

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Tue, 06 Aug 2013 17:12:23 +0300

buildbot (0.8.7p1-1) unstable; urgency=low

  * New upstream release (Closes: #692451).
  * Update patches.
  * Remove temporary code for fixing permissions.
  * Use /usr/bin/trial to run tests.
  * Run dh clean with no extra arguments.
  * Introduce config for git-buildpackage: debian/gbp.conf.
  * debian/control:
    - prettify Depends
    - bump Standards-Version to 3.9.4.0 (no changes required)
    - specify minimal supported version for python-sqlalchemy
    - add python-dateutil (>=1.5) to Depends and Build-Depends (required by
      nightly scheduler).
    - add libaprutil1 to Build-Depends and to Recommends (required by web
      htpasswd auth).

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Fri, 15 Mar 2013 17:56:25 +0200
