=== debian/changelog ===
buildbot (0.8.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild with sqlalchemy 0.9.
  * Added upstream doc patches to avoid FTBFS (Closes: #737315).

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Mar 2014 06:22:09 +0000

buildbot (0.8.8-1) unstable; urgency=low

  * New upstream release
  * Remove text-client.patch (applied upstream)
  * Add bash-completion. Thanks to Elmir Jagudin
  * debian/control: add Vcs-* fields

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Thu, 10 Oct 2013 13:22:47 +0300
