=== debian/control ===
--- 
+++ 
@@ -15,10 +15,13 @@
  python-twisted-mail,
  python-twisted-words,
  python-dateutil (>= 1.5),
- libaprutil1
+ libaprutil1,
+ bash-completion
 Homepage: http://buildbot.net
 Standards-Version: 3.9.4.0
 X-Python-Version: >= 2.5
+Vcs-Browser: https://github.com/buildbot/debian-buildbot
+Vcs-Git: git://github.com/buildbot/debian-buildbot.git
 
 Package: buildbot
 Architecture: all
