=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 clean:
 	dh $@
 %:
-	dh $@ --with python2 --with sphinxdoc --buildsystem python_distutils
+	dh $@ --with python2,sphinxdoc,bash-completion --buildsystem python_distutils
 
 make_docs:
 	$(MAKE) -C docs
