=== debian/watch ===
version=3
opts=downloadurlmangle=s/.*\/\//http:\/\// \
    http://code.google.com/p/buildbot/downloads/list \
    .*\/buildbot-([0-9.p]*)\.tar\.gz
