## buildbot 0.8.9

=== debian/changelog ===
buildbot (0.8.9-2ubuntu1) wily; urgency=medium

  * d/p/skip-failing-tests.patch: Skip two failing tests due to dependency
    shift in Ubuntu and Debian (see http://pad.lv/1497958 for details).

 -- James Page <james.page@ubuntu.com>  Mon, 21 Sep 2015 12:21:20 +0100

buildbot (0.8.9-2) unstable; urgency=medium

  * Update Standards-Version to 3.9.6. No changes required
  * Update sqlalchemy patch with metadata from upstream
  * Allow single instance restart (Refs: #661102)
  * Use correct exit code during start (Closes: #758432)
  * Add more information about buildbot upgrade errors (Closes: #758857)
  * Update debian/watch, add possibility to check PGP signature
  * Add autopkgtest support
  * Remove absent files from debian/copyright

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Sat, 25 Oct 2014 01:41:18 +0300

buildbot (0.8.9-1) unstable; urgency=medium

  * New upstream release. Closes: #755334, #756999.
  * Disable the SQLAlchemy version check.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Aug 2014 23:47:32 +0200
