=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: buildbot
 Section: devel
 Priority: optional
-Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  python-all (>= 2.6.6-3),
@@ -18,10 +19,11 @@
  libaprutil1,
  bash-completion
 Homepage: http://buildbot.net
-Standards-Version: 3.9.4.0
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 Vcs-Browser: https://github.com/buildbot/debian-buildbot
 Vcs-Git: git://github.com/buildbot/debian-buildbot.git
+Testsuite: autopkgtest
 
 Package: buildbot
 Architecture: all
