=== debian/changelog ===
buildbot (0.8.12-3) unstable; urgency=medium

  * Build-depend on python-all-dev.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Apr 2016 13:16:04 +0200

buildbot (0.8.12-2) unstable; urgency=medium

  * Build-depend on python-setuptools.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Apr 2016 12:54:33 +0200

buildbot (0.8.12-1) unstable; urgency=medium

  * New upstream release.
    - Fix build with sphinx-1.3. Closes: #787175.
  * Replace cdn.debian.net with httpredir.debian.org. Closes: #774478.
  * d/p/skip-failing-tests.patch: Skip two failing tests due to dependency
    shift in Ubuntu and Debian (see http://pad.lv/1497958 for details).

 -- Matthias Klose <doko@debian.org>  Sun, 13 Dec 2015 20:14:02 +0100
