=== debian/control ===
--- 
+++ 
@@ -1,20 +1,16 @@
 Source: buildbot
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
+Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
- python-all (>= 2.6.6-3),
+ python-all-dev,
  python-jinja2 (>= 2.1),
- python-sqlalchemy (>= 0.6.0),
- python-migrate (>= 0.6.1),
+ python-migrate (>= 0.8.0),
  python-mock,
+ python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
- python-twisted-core (>= 2.0),
- python-twisted-web,
- python-twisted-mail,
- python-twisted-words,
+ python-twisted (>= 11.0),
  python-dateutil (>= 1.5),
  libaprutil1,
  bash-completion
@@ -26,14 +22,12 @@
 Testsuite: autopkgtest
 
 Package: buildbot
-Architecture: all
+Architecture: any
 Depends: ${python:Depends}, ${misc:Depends}, ${sphinxdoc:Depends},
+ ${shlibs:Depends},
  python-jinja2 (>=2.1),
- python-sqlalchemy (>= 0.6.0),
  python-migrate (>= 0.6.1),
- python-twisted-core (>= 2.0),
- python-twisted-web,
- python-twisted-words,
+ python-twisted (>= 2.0),
  python-dateutil (>= 1.5),
  dpkg (>= 1.15.4),
  adduser
