=== debian/tests/control ===
Tests: python2
Depends: @, @builddeps@
Restrictions: allow-stderr
