=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.python.org/packages/source/b/buildbot/buildbot-([0-9.]+)\.tar\.gz
